| Home | Libraries | People | FAQ | More

##### test::connect (2 of 2 overloads)

Return a new stream connected to the given stream.

###### Synopsis

Defined in header `<boost/beast/_experimental/test/stream.hpp>`

    template<
        class... Args>
    basic_stream
    connect(
        basic_stream& to,
        Args&&... args);

###### Parameters

Name | Description
--- | ---
`to` | The stream to connect to.
`args` | Optional arguments forwarded to the new stream's constructor.

###### Return Value

The new, connected stream.